package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import java.util.HashMap;
import java.util.Date;
import de.hybris.platform.jalo.SessionContext;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import de.hybris.platform.jalo.GenericItem;

@SLDSafe
public class BDADeliveryChallan extends GenericItem
{
    public static final String DELIVERYCHALLANNO = "deliveryChallanNo";
    public static final String INDENTREQUESTID = "indentRequestId";
    public static final String INDENTREQUESTDATE = "indentRequestDate";
    public static final String DELIVERYASSISTANTCODE = "deliveryAssistantCode";
    public static final String DELIVERYASSISTANTMOBILENO = "deliveryAssistantMobileNo";
    public static final String DISTCODE = "distCode";
    public static final String PRODUCTCODE = "productCode";
    public static final String REQUESTEDQTY = "requestedQty";
    public static final String ISSUEDQTY = "issuedQty";
    public static final String ISSUEDDATE = "issuedDate";
    public static final String VEHICLENO = "vehicleNo";
    public static final String REMARKS = "remarks";
    public static final String STATUS = "status";
    public static final String RETURNCODE = "returnCode";
    public static final String RETURNMSG = "returnMsg";
    public static final String CORRELATIONID = "correlationId";
    protected static final Map<String, Item.AttributeMode> DEFAULT_INITIAL_ATTRIBUTES;
    
    protected Map<String, Item.AttributeMode> getDefaultAttributeModes() {
        return BDADeliveryChallan.DEFAULT_INITIAL_ATTRIBUTES;
    }
    
    public String getCorrelationId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "correlationId".intern());
    }
    
    public String getCorrelationId() {
        return this.getCorrelationId(this.getSession().getSessionContext());
    }
    
    public void setCorrelationId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "correlationId".intern(), (Object)value);
    }
    
    public void setCorrelationId(final String value) {
        this.setCorrelationId(this.getSession().getSessionContext(), value);
    }
    
    public String getDeliveryAssistantCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "deliveryAssistantCode".intern());
    }
    
    public String getDeliveryAssistantCode() {
        return this.getDeliveryAssistantCode(this.getSession().getSessionContext());
    }
    
    public void setDeliveryAssistantCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "deliveryAssistantCode".intern(), (Object)value);
    }
    
    public void setDeliveryAssistantCode(final String value) {
        this.setDeliveryAssistantCode(this.getSession().getSessionContext(), value);
    }
    
    public String getDeliveryAssistantMobileNo(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "deliveryAssistantMobileNo".intern());
    }
    
    public String getDeliveryAssistantMobileNo() {
        return this.getDeliveryAssistantMobileNo(this.getSession().getSessionContext());
    }
    
    public void setDeliveryAssistantMobileNo(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "deliveryAssistantMobileNo".intern(), (Object)value);
    }
    
    public void setDeliveryAssistantMobileNo(final String value) {
        this.setDeliveryAssistantMobileNo(this.getSession().getSessionContext(), value);
    }
    
    public String getDeliveryChallanNo(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "deliveryChallanNo".intern());
    }
    
    public String getDeliveryChallanNo() {
        return this.getDeliveryChallanNo(this.getSession().getSessionContext());
    }
    
    public void setDeliveryChallanNo(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "deliveryChallanNo".intern(), (Object)value);
    }
    
    public void setDeliveryChallanNo(final String value) {
        this.setDeliveryChallanNo(this.getSession().getSessionContext(), value);
    }
    
    public String getDistCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "distCode".intern());
    }
    
    public String getDistCode() {
        return this.getDistCode(this.getSession().getSessionContext());
    }
    
    public void setDistCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "distCode".intern(), (Object)value);
    }
    
    public void setDistCode(final String value) {
        this.setDistCode(this.getSession().getSessionContext(), value);
    }
    
    public Date getIndentRequestDate(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "indentRequestDate".intern());
    }
    
    public Date getIndentRequestDate() {
        return this.getIndentRequestDate(this.getSession().getSessionContext());
    }
    
    public void setIndentRequestDate(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "indentRequestDate".intern(), (Object)value);
    }
    
    public void setIndentRequestDate(final Date value) {
        this.setIndentRequestDate(this.getSession().getSessionContext(), value);
    }
    
    public String getIndentRequestId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "indentRequestId".intern());
    }
    
    public String getIndentRequestId() {
        return this.getIndentRequestId(this.getSession().getSessionContext());
    }
    
    public void setIndentRequestId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "indentRequestId".intern(), (Object)value);
    }
    
    public void setIndentRequestId(final String value) {
        this.setIndentRequestId(this.getSession().getSessionContext(), value);
    }
    
    public Date getIssuedDate(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "issuedDate".intern());
    }
    
    public Date getIssuedDate() {
        return this.getIssuedDate(this.getSession().getSessionContext());
    }
    
    public void setIssuedDate(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "issuedDate".intern(), (Object)value);
    }
    
    public void setIssuedDate(final Date value) {
        this.setIssuedDate(this.getSession().getSessionContext(), value);
    }
    
    public Integer getIssuedQty(final SessionContext ctx) {
        return (Integer)this.getProperty(ctx, "issuedQty".intern());
    }
    
    public Integer getIssuedQty() {
        return this.getIssuedQty(this.getSession().getSessionContext());
    }
    
    public int getIssuedQtyAsPrimitive(final SessionContext ctx) {
        final Integer value = this.getIssuedQty(ctx);
        return (value != null) ? value : 0;
    }
    
    public int getIssuedQtyAsPrimitive() {
        return this.getIssuedQtyAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setIssuedQty(final SessionContext ctx, final Integer value) {
        this.setProperty(ctx, "issuedQty".intern(), (Object)value);
    }
    
    public void setIssuedQty(final Integer value) {
        this.setIssuedQty(this.getSession().getSessionContext(), value);
    }
    
    public void setIssuedQty(final SessionContext ctx, final int value) {
        this.setIssuedQty(ctx, Integer.valueOf(value));
    }
    
    public void setIssuedQty(final int value) {
        this.setIssuedQty(this.getSession().getSessionContext(), value);
    }
    
    public String getProductCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "productCode".intern());
    }
    
    public String getProductCode() {
        return this.getProductCode(this.getSession().getSessionContext());
    }
    
    public void setProductCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "productCode".intern(), (Object)value);
    }
    
    public void setProductCode(final String value) {
        this.setProductCode(this.getSession().getSessionContext(), value);
    }
    
    public String getRemarks(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "remarks".intern());
    }
    
    public String getRemarks() {
        return this.getRemarks(this.getSession().getSessionContext());
    }
    
    public void setRemarks(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "remarks".intern(), (Object)value);
    }
    
    public void setRemarks(final String value) {
        this.setRemarks(this.getSession().getSessionContext(), value);
    }
    
    public Integer getRequestedQty(final SessionContext ctx) {
        return (Integer)this.getProperty(ctx, "requestedQty".intern());
    }
    
    public Integer getRequestedQty() {
        return this.getRequestedQty(this.getSession().getSessionContext());
    }
    
    public int getRequestedQtyAsPrimitive(final SessionContext ctx) {
        final Integer value = this.getRequestedQty(ctx);
        return (value != null) ? value : 0;
    }
    
    public int getRequestedQtyAsPrimitive() {
        return this.getRequestedQtyAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setRequestedQty(final SessionContext ctx, final Integer value) {
        this.setProperty(ctx, "requestedQty".intern(), (Object)value);
    }
    
    public void setRequestedQty(final Integer value) {
        this.setRequestedQty(this.getSession().getSessionContext(), value);
    }
    
    public void setRequestedQty(final SessionContext ctx, final int value) {
        this.setRequestedQty(ctx, Integer.valueOf(value));
    }
    
    public void setRequestedQty(final int value) {
        this.setRequestedQty(this.getSession().getSessionContext(), value);
    }
    
    public String getReturnCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "returnCode".intern());
    }
    
    public String getReturnCode() {
        return this.getReturnCode(this.getSession().getSessionContext());
    }
    
    public void setReturnCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "returnCode".intern(), (Object)value);
    }
    
    public void setReturnCode(final String value) {
        this.setReturnCode(this.getSession().getSessionContext(), value);
    }
    
    public String getReturnMsg(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "returnMsg".intern());
    }
    
    public String getReturnMsg() {
        return this.getReturnMsg(this.getSession().getSessionContext());
    }
    
    public void setReturnMsg(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "returnMsg".intern(), (Object)value);
    }
    
    public void setReturnMsg(final String value) {
        this.setReturnMsg(this.getSession().getSessionContext(), value);
    }
    
    public String getStatus(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "status".intern());
    }
    
    public String getStatus() {
        return this.getStatus(this.getSession().getSessionContext());
    }
    
    public void setStatus(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "status".intern(), (Object)value);
    }
    
    public void setStatus(final String value) {
        this.setStatus(this.getSession().getSessionContext(), value);
    }
    
    public String getVehicleNo(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "vehicleNo".intern());
    }
    
    public String getVehicleNo() {
        return this.getVehicleNo(this.getSession().getSessionContext());
    }
    
    public void setVehicleNo(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "vehicleNo".intern(), (Object)value);
    }
    
    public void setVehicleNo(final String value) {
        this.setVehicleNo(this.getSession().getSessionContext(), value);
    }
    
    static {
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>();
        tmp.put("deliveryChallanNo", Item.AttributeMode.INITIAL);
        tmp.put("indentRequestId", Item.AttributeMode.INITIAL);
        tmp.put("indentRequestDate", Item.AttributeMode.INITIAL);
        tmp.put("deliveryAssistantCode", Item.AttributeMode.INITIAL);
        tmp.put("deliveryAssistantMobileNo", Item.AttributeMode.INITIAL);
        tmp.put("distCode", Item.AttributeMode.INITIAL);
        tmp.put("productCode", Item.AttributeMode.INITIAL);
        tmp.put("requestedQty", Item.AttributeMode.INITIAL);
        tmp.put("issuedQty", Item.AttributeMode.INITIAL);
        tmp.put("issuedDate", Item.AttributeMode.INITIAL);
        tmp.put("vehicleNo", Item.AttributeMode.INITIAL);
        tmp.put("remarks", Item.AttributeMode.INITIAL);
        tmp.put("status", Item.AttributeMode.INITIAL);
        tmp.put("returnCode", Item.AttributeMode.INITIAL);
        tmp.put("returnMsg", Item.AttributeMode.INITIAL);
        tmp.put("correlationId", Item.AttributeMode.INITIAL);
        DEFAULT_INITIAL_ATTRIBUTES = Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp);
    }
}
